/*


  Wiring,
  Connect the momentary contact switch from the Arduino pin to ground. When the switch is pressed it will pull the pin low. That will start the LED sequence. 

  Connect +5 to the positive of the LED and the negative to the Arduino pin. LED will light when the connected Arduino pin is low.

  When all LEDs are off the momentary contact switch will turn all the LEDs back on and wait for another press to start the LED sequence again
*/

// Global Variables and Constants
#define LED1 A0
#define LED2 9
#define LED3 10
#define LED4 11

#define buttonPin A1
#define DEBOUNCE 1000 // Delay

int LightsoN = 1;

void setup() {
  // Inititilize Inputs and Outputs

  pinMode (LED1, OUTPUT);
  pinMode (LED2, OUTPUT);
  pinMode (LED3, OUTPUT);
  pinMode (LED4, OUTPUT);

  pinMode(buttonPin, INPUT_PULLUP);

  digitalWrite (LED1, LOW);
  digitalWrite (LED2, LOW);
  digitalWrite (LED3, LOW);
  digitalWrite (LED4, LOW);

}

void loop() {
  // Main Loop

  bool ButtonstatE = digitalRead (buttonPin);
  delay(100);
  if (ButtonstatE == LOW && LightsoN == 1) {
    digitalWrite (LED1, HIGH);
    delay(DEBOUNCE);
    digitalWrite (LED2, HIGH);
    delay (DEBOUNCE);
    digitalWrite (LED3, HIGH);
    delay (DEBOUNCE);
    digitalWrite (LED4, HIGH);
    delay (DEBOUNCE);
    LightsoN = 0;
  }
  else if (ButtonstatE == LOW && LightsoN == 0) {
    digitalWrite (LED1, LOW);
    digitalWrite (LED2, LOW);
    digitalWrite (LED3, LOW);
    digitalWrite (LED4, LOW);
    LightsoN = 1;
    delay (DEBOUNCE);
  }
  else {
    // if the current state is HIGH then the button went from on to off:
  }

}
